python-prelude_1.0.0-11.4_amd64.deb


Advertisement

Description

python-prelude - Security Information Management System [ Base library ]

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name python-prelude
Package version 1.0.0
Package release 11.4
Package architecture amd64
Package type deb
Installed size 1.58 KB
Download size 503.30 KB
Official Mirror ftp.br.debian.org
Prelude is a Universal "Security Information Management" (SIM) system.
Its goals are performance and modularity. It is divided in two main
parts :
- the Prelude sensors, responsible for generating alerts, such as
snort sensor, featuring a signature engine, plugins for
protocol analysis, and intrusion detection plugins, and the Prelude
log monitoring lackey.
- the Prelude report server, collecting data from Prelude sensors,
and generating user-readable reports.
This package contains the Python bindings for Prelude.

Alternatives

Package Version Architecture Repository
python-prelude_1.0.0-11.4_i386.deb 1.0.0 i386 Debian Main
python-prelude - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:4.1.1
libgcrypt20 >= 1.6.0
libgnutls-deb0-28 >= 3.3.0
libprelude2 = 1.0.0-11.4
libstdc++6 >= 4.2.1
python >= 2.7
python << 2.8

Provides

Name Value
python2.7-prelude -

Download

Type URL
Binary Package python-prelude_1.0.0-11.4_amd64.deb
Source Package libprelude

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-prelude deb package:
    # sudo apt-get install python-prelude

Files

Path
/usr/lib/python2.7/dist-packages/PreludeEasy-1.0.0.egg-info
/usr/lib/python2.7/dist-packages/PreludeEasy.py
/usr/lib/python2.7/dist-packages/_PreludeEasy.so
/usr/lib/python2.7/dist-packages/_prelude.so
/usr/lib/python2.7/dist-packages/prelude-1.0.0.egg-info
/usr/lib/python2.7/dist-packages/prelude.py
/usr/share/doc/python-prelude/changelog.Debian.gz
/usr/share/doc/python-prelude/changelog.gz
/usr/share/doc/python-prelude/copyright

Changelog

2014-08-15 - Andreas Metzler <ametzler@debian.org>
libprelude (1.0.0-11.4) unstable; urgency=medium
* Non-maintainer upload.
* 010_gnutlsextrainclude.diff: Do not try to #include <gnutls/extra.h> if it
is not necessary, i.e. when gnutls is new enough (>= 1.2) to ship SRP in
the main library instead of gnutls-extra.
* Build and depend on libgnutls28-dev instead of libgnutls-dev.
Closes: #754771
* Add a (build-)dependency on libgcrypt20-dev.
Closes: #745951
* 016_ppc64el-isnan-tests-fix-for-little-endian-PowerPC.patch from gnulib
upstream to fix test-isnanl-nolibm failure on ppc64el. (Thanks,
Mauricio Faria de Oliveira) - This should fix #751822.
2014-08-05 - Ansgar Burchardt <ansgar@debian.org>
libprelude (1.0.0-11.3) unstable; urgency=low
* Non-maintainer upload.
* Force swig to regenerate bindings/low-level/perl/Prelude.c by
removing it before building and in the clean target.
(Closes: #752333)
* debian/libprelude-perl.install: Use perl's $Config{vendorarch} instead
of /usr/lib/perl5. Thanks to Niko Tyni for the patch.
(Closes: #752334)
2014-05-25 - Maximiliano Curia <maxy@debian.org>
libprelude (1.0.0-11.2) unstable; urgency=medium
* Non-maintainer upload.
* New patch: keep-atfork-symbol.patch, taken from ubuntu's package,
thanks to Adam Conrad and Dimitri John Ledkov. (Closes: #749214)
2014-05-13 - Maximiliano Curia <maxy@debian.org>
libprelude (1.0.0-11.1) unstable; urgency=medium
* Non-maintainer upload. (Closes: #721776)
* New patch: request_REUSEADDR_before_bind.patch.
* New patch: test-poll_add_sleep_after_write.patch.
2013-08-20 - Pierre Chifflier <pollux@debian.org>
libprelude (1.0.0-11) unstable; urgency=low
* Upload to unstable (Closes: #693892)
* Add patch 004-fix-link-gcrypt to fix missing linkage (missing libs)
2012-12-02 - Pierre Chifflier <pollux@debian.org>
libprelude (1.0.0-10) experimental; urgency=low
* Upload to experimental
* Switch to DH 9
- rewrite most of the packaging files
- enable multiarch
- enable autoreconf during build (Closes: #558522)
* Merge patch from Colin Watson to fix FTBFS with glibc 2.16
(Closes: #693892)
2012-02-25 - Pierre Chifflier <pollux@debian.org>
libprelude (1.0.0-9) unstable; urgency=low
* Looks like the swig code was not really fixed - disabling
DEB_BUILD_HARDENING_FORMAT again
2012-02-25 - Pierre Chifflier <pollux@debian.org>
libprelude (1.0.0-8) unstable; urgency=low
* Bump DH version to 7
* Re-enable DEB_BUILD_HARDENING_FORMAT, swig seems fixed now
* Bump Standards Version to 3.9.3
2011-07-23 - Pierre Chifflier <pollux@debian.org>
libprelude (1.0.0-7) unstable; urgency=low
* Disable parallel build, it still cause problems.
2011-07-22 - Pierre Chifflier <pollux@debian.org>
libprelude (1.0.0-6) unstable; urgency=low
* Fix install target in parallel mode (Closes: #635103)

See Also

Package Description
python-preludedb_1.0.0-2.3_amd64.deb Security Information Management System [ Base library ]
python-presage_0.9-1_amd64.deb intelligent predictive text entry platform (Python binding)
python-pretend_1.0.8-1_all.deb Python library for stubbing (Python 2)
python-prettytable_0.7.2-3_all.deb library to represent tabular data in visually appealing ASCII tables
python-proboscis_1.2.6.0-2_all.deb extends Nose with certain TestNG like features - python 2.x
python-profitbricks-client-doc_1.0.0-2_all.deb ProfitBricks Client documentation
python-profitbricks-client_1.0.0-2_all.deb ProfitBricks Client
python-progressbar_2.3-1_all.deb text progress bar library for Python
python-protobuf.socketrpc_1.3.2-3_all.deb Python socket RPC for Google protocol buffers
python-protobuf_2.6.1-1_amd64.deb Python bindings for protocol buffers
python-protocols_1.0a.svn20070625-7_amd64.deb Open Protocols and Component Adaptation for Python
python-protorpc-standalone_0.9.1-1_all.deb Google Protocol RPC - Python 2.x
python-prowlpy_0+20100211.92df046-1_all.deb Python support for Apple Push Notifications via Prowl
python-pskc_0.2-1_all.deb Python module for handling PSKC files
python-psphere_0.5.2-1_all.deb Python bindings for the vSphere Web Services SDK
Advertisement
Advertisement